<template>
  <div>
    <SearchSettings @search="search" hint="Поиск производится по названию статуса" style="width:calc(100% - 200px)" />
    <q-spinner-gears
        v-if="!fields.length"
        color="primary"
        size="8em"
        class="mx-auto mt-12"
    />
  </div>
</template>

<script>
import api from "../../API/api";
import {ref} from "vue";
import SearchSettings from "./Search-settings.vue";
import {useDebounce} from "../../components/useDebounce";

let stringOptions = [].reduce((acc, opt) => {
  for (let i = 1; i <= 5; i++) {
    acc.push(opt + ' ' + i)
  }
  return acc
}, [])

export default {
  name: "Fields-settings",
  components: {SearchSettings},
  setup () {
    const fields = ref([])
    api.getFields()
      .then(r => {
        fields.value = r.data.fields
        stringOptions = r.data.fields
      })
    function search (value) {
      const needle = value.toLocaleString().toLocaleLowerCase()
      fields.value = stringOptions.filter(v => v.name.toLocaleLowerCase().indexOf(needle) > -1)
    }
    return {
      fields,
      search
    }
  }
}
</script>

<style scoped>

</style>